/* =========================================== */
/* === MARCADORES CUSTOMIZADOS (COMPARTILHADO) */
/* =========================================== */

/* Marcador do Usuário (Vermelho) */
.user-location-icon {
    filter: brightness(80%) sepia(1) hue-rotate(300deg) saturate(500%);
}

.db-marker-icon {
    /* filter: hue-rotate(290deg);Pino verde */
    filter: brightness(80%) sepia(1) hue-rotate(90deg) saturate(500%);
}

.pending-validation-marker {
    opacity: 0.45; /* Aplica semi-transparência ao marcador inteiro */
    transition: opacity 0.3s ease;
}

/* Ícone de Menor Preço com Cifrão ($) - Dourado */
.lowest-price-div-icon {
    /* Pega o pino azul padrão como base */
    background-image: url('https://unpkg.com/leaflet@1.9.4/dist/images/marker-icon-2x.png'); 
    background-size: 25px 41px;
    width: 25px;
    height: 41px;
    
    /* Aplica o mesmo filtro DOURADO que você já usava */
    filter: brightness(1) sepia(77) hue-rotate(0deg) saturate(500%);
    
    /* Prepara para o texto */
    position: relative;
    border-radius: .5rem; /* Evita bordas quadradas estranhas */
}

.lowest-price-div-icon::after {
    content: '$'; /* O seu cifrão! */
    top: 6px;  /* Ajuste vertical */
    top: 2px;
    left: 0px;
    right: 2px;
    text-align: center;
    font-size: 20px;
    font-weight: bold;
     color: yellow;
    text-shadow: 2px -1px 1px black; /* Sombra para legibilidade */
}

/* Regra para o marcador de menor preço pendente */
.pending-validation-marker.lowest-price-marker {
    filter: brightness(1.1) sepia(1) hue-rotate(15deg) saturate(500%);
    opacity: 0.6; 
}